<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="/css/admin.css">
    <title>Productos</title>
</head>
<body>
    
    <h1>Agregar productos</h1>

    <div class="contenedor-principal">

        <div class="contenedor-formulario">

            <form id="formularioProductos">

                <label for="txtCodigo">Codigo:</label> <input type="text" id="txtNumCodigo" name="txtNumCodigo">
                <label for="txtNombre">Nombre del producto:</label> <input type="text" id="txtNombre" name="txtNombre">
                <label for="txtGrupo">Grupo:</label> <input type="text" id="txtGrupo" name="txtGrupo">
                <label for="txtDescripcion">Descripcion del producto:</label> <input type="text" id="txtDescripcion" name="txtDescripcion">
                <label for="txtUrl">URL Imagen Producto:</label> <input readonly type="text" id="txtUrl" name="txtUrl">
                <input class="subirArchivo" type="file" id="imageInput"> <button id="uploadButton">Subir Imagen</button>

                <p id="mensaje" style="text-align: center; color: white;"></p>

                <button type="button" id="btnAgregar">Agregar</button>
                <button type="button" id="btnBuscar">Buscar</button>
                <button type="button" id="btnActualizar">Actualizar</button>
                <button type="button" id="btnBorrar">Borrar</button>
                <button type="reset">Limpiar Formulario</button>

            </form>

        </div>

        <div class="contenedor-tabla">

            <table id="tablaProductos">

                <thead>
                    <tr>
                        <th>Codigo</th>
                        <th>Nombre</th>
                        <th>Descripcion</th>
                        <th>Grupo</th>
                        <th>Imagen</th>
                    </tr>
                </thead>

                <tbody>
                </tbody>

            </table>

        </div>

    </div>

</body>
<script type="module" src="/js/main.js"></script>
</html>